/*
 * File: scanner.h
 * ---------------
 * Shamelessly ripped off of Robert's C book, and then
 * modified to ignore spaces in my cs21 class at some point,
 * and now brutally beaten into ANSI quality code by seanius
 */

#ifndef _scanner_h
#define _scanner_h

/*
 * Function: InitScanner
 * Usage: InitScanner(line);
 * -------------------------
 * This function initializes the scanner and sets it up so that
 * it reads tokens from line.  After InitScanner has been called,
 * the first call to GetNextToken will return the first token
 * on the line, the next call will return the second token,
 * and so on.
 */

void InitScanner(char * line);

/*
 * Function: GetNextToken
 * Usage: word = GetNextToken();
 * -----------------------------
 * This function returns the next token on the line.
 */

char * GetNextToken(void);

/*
 * Function: AtEndOfLine
 * Usage: if (AtEndOfLine()) . . .
 * -------------------------------
 * This function returns TRUE when the scanner has reached
 * the end of the line.
 */

int AtEndOfLine(void);


/*
 * Function: IgnoreSpace
 * Usage: IgnoreSpace(value)
 * ------------------------------
 * This function changes the global variable IgnoreSpaceFlag to
 * "value" where value is intean TRUE or FALSE.
 */

void IgnoreSpace(int value);

#endif






